Bug 1475443 - Hammer compute-resource lacks commands for virtual machine
Hammer compute-resource lacks commands for virtual machine
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources (Show other bugs)
6.2.11
Unspecified Unspecified
medium Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-26 13:19 EDT by Sanket Jagtap
Modified: 2017-08-02 01:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 20451 None None None 2017-07-31 05:05 EDT

  None (edit)
Description Sanket Jagtap 2017-07-26 13:19:48 EDT
Description of problem:
On, UI when we create a compute resource, there's a VM tab , where we can list all the VM's on that compute resource and can turn them ON/OFF

Version-Release number of selected component (if applicable):
Satellite 6.2.11
Satellite 6.3

How reproducible:
Always

Steps to Reproduce:
1.On hammer , fire compoute-resource --help command 
2.No command for listing VM's or manipulating their power
3.

Actual results:
Virtual-machine sub-command not present

Expected results:
We should have a sub-command, as we do have the feature from UI

Additional info:
hammer> compute-resource --help
Usage:
     compute-resource [OPTIONS] SUBCOMMAND [ARG] ...

Parameters:
 SUBCOMMAND                    subcommand
 [ARG] ...                     subcommand arguments

Subcommands:
 create                        Create a compute resource
 delete                        Delete a compute resource
 image                         View and manage compute resource's images
 info                          Show a compute resource
 list                          List all compute resources
 update                        Update a compute resource

Options:
 -h, --help                    print help
Comment 2 Ondřej Pražák 2017-07-31 05:05:02 EDT
Created redmine issue http://projects.theforeman.org/issues/20451 from this bug

Note You need to log in before you can comment on or make changes to this bug.